# GimpUi.Preview::transform

    @accepts(GimpUi.Preview, int, int, int, int)
    @returns(none)
    def do_transform(preview, src_x, src_y, dest_x, dest_y):

Transforms from image to widget coordinates.

Since 2.4

preview

  a GimpUi.Preview widget

src_x

  horizontal position on the previewed image

src_y

  vertical position on the previewed image

dest_x

  returns the transformed horizontal position

dest_y

  returns the transformed vertical position